org.apache.maven.scm.provider.git.repository

## Class RepositoryUrl

- java.lang.Object
- - org.apache.maven.scm.provider.git.repository.RepositoryUrl

    public class RepositoryUrl
    extends Object

This class is a container which holds information about repository URL.

Since:
  1.3
Version:
  $Id: RepositoryUrl.java 823147 2009-10-08 12:39:23Z struberg $
Author:
  Mark Struberg

### Constructor Summary

Constructors
Constructor and Description
`RepositoryUrl()`

### Method Summary

Methods
`String` `getHost()`
`String` `getPassword()`
`String` `getPath()`
`String` `getPort()`
`String` `getProtocol()`
`String` `getUserName()`
`void` `setHost(String host)`
`void` `setPassword(String password)`
`void` `setPath(String path)`
`void` `setPort(String port)`
`void` `setProtocol(String protocol)`
`void` `setUserName(String userName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryUrl

    public RepositoryUrl()

### Method Detail

#### getProtocol

    public String getProtocol()

#### setProtocol

    public void setProtocol(String protocol)

#### getHost

    public String getHost()

#### setHost

    public void setHost(String host)

#### getPort

    public String getPort()

#### setPort

    public void setPort(String port)

#### getPath

    public String getPath()

#### setPath

    public void setPath(String path)

#### getUserName

    public String getUserName()

#### setUserName

    public void setUserName(String userName)

#### getPassword

    public String getPassword()

#### setPassword

    public void setPassword(String password)